%define	name	gentoo
%define	version	0.11.55
%define	release	1mdk
 

Summary:	Gentoo is a graphical file management program
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		File tools
URL:		http://www.obsession.se/gentoo 
Source:		http://prdownloads.sourceforge.net/gentoo/%{name}-%{version}.tar.bz2  
Source4:	%name-rpm.xpm.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  gtk+1.2-devel >= 1.2.5
BuildRequires:  fam-devel
BuildRequires:  ImageMagick
Requires:	gtk+ >= 1.2.5

%description
Gentoo is a modern, powerful, flexible, and utterly configurable
file manager for UNIX systems, written using the GTK+ toolkit.
It aims to be 100% graphically configurable; there's no need to
edit config files by hand and then restart the application.
gentoo is somewhat inspired in its look & feel by the classic
Amiga program DirectoryOpus.

%prep
%setup -q
# this replaces the RH logo rpm icon
bzcat %{SOURCE4} > icons/rpm.xpm

%build
%configure2_5x 

%make

%install
rm -rf ${RPM_BUILD_ROOT}

# lenny: dirty hack mkinstalldir calling is broken
# the author will fix this soon
cp $RPM_BUILD_DIR/%name-%version/mkinstalldirs $RPM_BUILD_DIR/.

%makeinstall_std
%find_lang %name


#menu
(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gentoo"\
title="Gentoo"\
longtitle="A file manager"\
needs="x11"\
icon="%name.png"\
section="System/File Tools"
EOF
)
#icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
convert $RPM_BUILD_DIR/%{name}-%{version}/icons/gentoo.png -geometry 48x48 %buildroot/%_liconsdir/%name.png
convert $RPM_BUILD_DIR/%{name}-%{version}/icons/gentoo.png -geometry 32x32 %buildroot/%_iconsdir/%name.png
convert $RPM_BUILD_DIR/%{name}-%{version}/icons/gentoo.png -geometry 16x16 %buildroot/%_miconsdir/%name.png 

%post
%update_menus

    echo Note
    echo If you are updating from a previous version, at first lanch select Configure
    echo and Save to update ~.gentoorc to current version.

%postun
%clean_menus


%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %name.lang
%defattr(-,root,root)
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS BUGS CONFIG-CHANGES COPYING CREDITS ChangeLog NEWS README* ONEWS TODO
%doc docs/config 
%doc docs/images 
%doc docs/scratch/README   docs/scratch/*.txt
%doc docs/FAQ
%doc docs/*.html
%doc docs/*.txt
%doc docs/*.1x
%doc docs/*.css    
%config(noreplace) %{_sysconfdir}/gentoogtkrc
%config(noreplace) %{_sysconfdir}/gentoorc
%{_bindir}/gentoo
%{_datadir}/gentoo
%_menudir/*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Thu Apr 13 2006 Jerome Soyer <saispo@mandriva.org> 0.11.55-1mdk
- New release 0.11.55

* Tue Jan 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.11.54-1mdk
- 0.11.54

* Mon Nov 08 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.11.53-1mdk
- 0.11.53
- copy mkinstalldir outside of buildir (dirty)

* Mon Aug 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.11.51-2mdk
- rebuild for new menu

* Mon May 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.11.51-1mdk
- 0.11.51

* Mon May 03 2004 Charles A Edwards <eslrahc@mandrake.org> 0.11.49-1mdk
- 0.11.49

* Mon Apr 19 2004 Charles A Edwards <eslrahc@mandrake.org> 0.11.48-1mdk
- 0.11.48
- 
* Mon Mar 01 2004 Charles A Edwards <eslrahc@mandrake.org> 0.11.46-1mdk
- 0.11.46
- menu entry

* Mon Dec 3 2003 Charles A Edwards <eslrahc@mandrake.org> 0.11.45-1mdk
- 0.11.45

* Mon Dec 1 2003 Charles A Edwards <eslrahc@mandrake.org> 0.11.44-1mdk
- 0.11.44

* Wed Nov 19 2003  Lenny Cartier <lenny@mandrakesoft.com> 0.11.43-1mdk
- 0.11.43

* Mon Nov 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.11.41-1mdk
- 0.11.41

* Mon Nov 10 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.11.40-1mdk
- 0.1140
- adjust doc listing 

* Thu Oct 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.11.39-1mdk
- 0.11.39

* Sun Oct 26 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.11.38-1mdk
- 0.11.38

* Mon Oct 20 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.11.37-1mdk
- 0.11.37

* Mon Oct 13 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.11.36-1mdk
- 0.1136
- adjust doc listing so backups are not created

* Fri Oct 03 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.11.35-1mdk
- 0.11.35
- drop sources 1, 2, and 3
- add BuildRequires: ImageMagick
- include all docs
- include upgrde echo info

* Fri Jan 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.11.34-3mdk
- Rebuild

* Mon Sep 30 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.11.34-2mdk
- small spec fix
- from Charles A Edwards:
 - replace RedHat logo for rpm files 

* Mon Sep 30 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.11.34-1mdk
- updates suggested by Charles A Edwards <eslrahc@bellsouth.net>
 - new version
 - icons
 - spec cleanup
 - buildrequires

* Tue Jul 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.11.30-1mdk
- add locales
- menu entry
- 0.11.30
- from Charles A Edwards <eslrahc@bellsouth.net> :
	- Reintroduce to Mandrake  
